Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518223 - Container Review Request: glusterfs - A scalable, distributed network filesystem.
Summary: Container Review Request: glusterfs - A scalable, distributed network filesys...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Container Images
Classification: Fedora
Component: Container Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jason Brooks
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 12:58 UTC by Jose A. Rivera
Modified: 2017-12-12 05:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 05:16:19 UTC
jbrooks: fedora-review+


Attachments (Terms of Use)

Description Jose A. Rivera 2017-11-28 12:58:17 UTC
Container Build Info URL: https://github.com/gluster/gluster-containers/tree/master/Fedora
Description: A scalable, distributed network filesystem.
Fedora Account System Username: jarrpa

Comment 1 Jason Brooks 2017-11-29 19:01:08 UTC
Need fully-qualified FROM line: https://fedoraproject.org/wiki/Container:Guidelines#FROM

Need help file or readme in the image: https://fedoraproject.org/wiki/Container:Guidelines#Help_File

This is a systemd container, I think the run or usage line should reflect this: https://fedoraproject.org/wiki/Container:Guidelines#LABELS_3

Comment 2 Jose A. Rivera 2017-11-29 19:37:08 UTC
Thanks! Updates are in the following PR:

https://github.com/gluster/gluster-containers/pull/61

Can you verify if those are sufficient? If so I can update here again when the PR merges.

Comment 3 Jason Brooks 2017-12-05 16:52:42 UTC
The changes in that PR look good to me.

Comment 4 Jose A. Rivera 2017-12-07 14:59:03 UTC
SOmoene (I assume a bot) on pagure keeps closing my req as invalid because no one owns this BZ. The Review Process page doesn't say anything about assigning the BZ, so who should it go to?

Comment 5 Gwyn Ciesla 2017-12-07 16:20:15 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/container/glusterfs

Comment 6 Jose A. Rivera 2017-12-08 21:08:18 UTC
So I got my repo created and I can push to it, but I can't get builds to succeed:

https://koji.fedoraproject.org/koji/taskinfo?taskID=23598316

Is this related to the maintenance stuff this week and I just have to wait?

Comment 7 Jason Brooks 2017-12-08 21:47:16 UTC
It might be due to the maintenance, you can ask in #fedora-releng to confirm.

Comment 8 Jose A. Rivera 2017-12-11 21:05:43 UTC
Error was due to an outdated package on the fedora-infra side. releng fixed the issue and restarted the build, which succeeded. Opened a pagure issue to tag the image into release:

https://pagure.io/releng/issue/7205

Comment 9 Jose A. Rivera 2017-12-12 05:16:19 UTC
Image built! Thanks for the help, Jason. :)


Note You need to log in before you can comment on or make changes to this bug.